> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Brand Board

> Retrieves a specific Brand Board by its ID

Retrieves a specific Brand Board by its ID

```http theme={null}
GET https://services.leadconnectorhq.com/brand-boards/{locationId}/{id}
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Path parameters

<ParamField path="locationId" type="string" required default="ve9EPM428h8vShlRW1KT">
  Account ID where the brand board exists
</ParamField>

<ParamField path="id" type="string" required default="507f1f77bcf86cd799439011">
  Brand board ID to update, retrieve, or delete
</ParamField>

## Respuestas

<Accordion title="200 - Success">
  <ResponseField name="_id" type="string" required default="507f1f77bcf86cd799439011">
    Brand board ID
  </ResponseField>

  <ResponseField name="locationId" type="string" required default="ve9EPM428h8vShlRW1KT">
    Account ID
  </ResponseField>

  <ResponseField name="name" type="string" required default="My Brand Board">
    Brand board name
  </ResponseField>

  <ResponseField name="logos" type="object[]">
    Array of logos

    <Expandable title="cada item">
      <ResponseField name="id" type="string" required default="logo_abc123">
        Unique identifier for the logo
      </ResponseField>

      <ResponseField name="url" type="string" required default="https://storage.googleapis.com/bucket/logos/my-logo.png">
        Public URL of the logo image. Used for uploading to the brand board folder in media library
      </ResponseField>

      <ResponseField name="label" type="string" required default="Primary Logo">
        Display label for the logo (e.g., Primary, Secondary)
      </ResponseField>

      <ResponseField name="path" type="string" required default="/locations/ve9EPM428h8vShlRW1KT/logos/my-logo.png">
        Storage path of the logo in the media library
      </ResponseField>
    </Expandable>
  </ResponseField>

  <ResponseField name="colors" type="object[]">
    Array of brand colors

    <Expandable title="cada item">
      <ResponseField name="id" type="string" required default="color_xyz789">
        Unique identifier for the color
      </ResponseField>

      <ResponseField name="hexa" type="string" required default="#FF5733FF">
        Color in HEXA format (with alpha)
      </ResponseField>

      <ResponseField name="rgba" type="string" required default="rgba(255, 87, 51, 1)">
        Color in RGBA format
      </ResponseField>

      <ResponseField name="hex" type="string" required default="#FF5733">
        Color in HEX format
      </ResponseField>

      <ResponseField name="rgb" type="string" required default="rgb(255, 87, 51)">
        Color in RGB format
      </ResponseField>

      <ResponseField name="label" type="string" required default="Brand Orange">
        Display label for the color
      </ResponseField>
    </Expandable>
  </ResponseField>

  <ResponseField name="fonts" type="object[]">
    Array of brand fonts

    <Expandable title="cada item">
      <ResponseField name="id" type="string" required default="font_def456">
        Unique identifier for the font
      </ResponseField>

      <ResponseField name="font" type="string" required default="Montserrat">
        Font family name
      </ResponseField>

      <ResponseField name="fallback" type="string" required default="sans-serif">
        Fallback font family
      </ResponseField>

      <ResponseField name="label" type="string" required default="Heading Font">
        Display label for the font
      </ResponseField>
    </Expandable>
  </ResponseField>

  <ResponseField name="default" type="boolean" required default="False">
    Whether this is the default brand board for the account
  </ResponseField>

  <ResponseField name="deleted" type="boolean" required default="False">
    Whether the brand board has been soft deleted
  </ResponseField>

  <ResponseField name="parentId" type="string" default="507f1f77bcf86cd799439011">
    Parent folder ID in media library
  </ResponseField>

  <ResponseField name="folderId" type="string" default="507f1f77bcf86cd799439011">
    Media library folder ID for this brand board
  </ResponseField>

  <ResponseField name="originId" type="string" default="507f1f77bcf86cd799439011">
    Original brand board ID if cloned from snapshot
  </ResponseField>

  <ResponseField name="meta" type="object">
    Metadata about the brand board
  </ResponseField>

  <ResponseField name="createdAt" type="string" default="2024-01-05T12:00:00.000Z">
    Creation timestamp
  </ResponseField>

  <ResponseField name="updatedAt" type="string" default="2024-01-05T12:00:00.000Z">
    Last update timestamp
  </ResponseField>

  ```json theme={null}
  {
    "_id": "507f1f77bcf86cd799439011",
    "locationId": "ve9EPM428h8vShlRW1KT",
    "name": "My Brand Board",
    "logos": [
      {
        "id": "logo_abc123",
        "url": "https://storage.googleapis.com/bucket/logos/my-logo.png",
        "label": "Primary Logo",
        "path": "/locations/ve9EPM428h8vShlRW1KT/logos/my-logo.png"
      }
    ],
    "colors": [
      {
        "id": "color_xyz789",
        "hexa": "#FF5733FF",
        "rgba": "rgba(255, 87, 51, 1)",
        "hex": "#FF5733",
        "rgb": "rgb(255, 87, 51)",
        "label": "Brand Orange"
      }
    ],
    "fonts": [
      {
        "id": "font_def456",
        "font": "Montserrat",
        "fallback": "sans-serif",
        "label": "Heading Font"
      }
    ],
    "default": false,
    "deleted": false,
    "parentId": "507f1f77bcf86cd799439011",
    "folderId": "507f1f77bcf86cd799439011",
    "originId": "507f1f77bcf86cd799439011",
    "createdAt": "2024-01-05T12:00:00.000Z",
    "updatedAt": "2024-01-05T12:00:00.000Z"
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="403 - The token does not have access to this account">
  <ResponseField name="statusCode" type="number" default="403" />

  <ResponseField name="message" type="string" default="The token does not have access to this account" />

  ```json theme={null}
  {
    "statusCode": 403,
    "message": "The token does not have access to this account"
  }
  ```
</Accordion>

<Accordion title="404 - Not Found">
  <ResponseField name="statusCode" type="number" default="404" />

  <ResponseField name="message" type="string" default="Not Found" />

  <ResponseField name="error" type="string" default="The requested resource was not found" />

  ```json theme={null}
  {
    "statusCode": 404,
    "message": "Not Found",
    "error": "The requested resource was not found"
  }
  ```
</Accordion>

<Accordion title="422 - Unprocessable Entity">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET 'https://services.leadconnectorhq.com/brand-boards/YOUR_locationId/YOUR_id' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/brand-boards/YOUR_locationId/YOUR_id', {
    method: 'GET',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
    },
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'GET',
      'https://services.leadconnectorhq.com/brand-boards/YOUR_locationId/YOUR_id',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
      },
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/brand-boards/YOUR_locationId/YOUR_id');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'GET',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
      ],
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
